DCMTK - Bug #1141

DcmSCPConfig copy constructor and copy assignment operator fail to initialize m_tLayer member
2024-10-18 17:34 - Marco Eichelberg

Status: Closed Start date: 2024-10-18
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.9

Module: Compiler:

Operating System:

Description

The copy constructor and copy assignment operator of class DecmSCPConfig do not initialize or copy member m_tLayer, which thus
may contain garbage.
See discussion at https:/forum.dcmtk.org/viewtopic.php?t=5415.

Reported 2024-10-17 by DCMTK forum user "saltcreek”.

History

#1 - 2024-10-18 17:38 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 0:00 h

Closed by commit #97a797b87.
